/***************************************************************************
 *   Copyright (C) 2007 by Marco Lorrai                                    *
 *   marco.lorrai@abbeynet.it                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "recording.h"
#include <iostream>
#include <wx/button.h>

#include "record_image.xpm"

using namespace std;

BEGIN_EVENT_TABLE(Recording, wxDialog)
    EVT_BUTTON(ID_STOP_RECORDING, Recording::OnStopRecording)
END_EVENT_TABLE()  

Recording::Recording(wxWindow *parent)
: wxDialog(parent, wxID_ANY, wxString(_T("Recording")), wxPoint(300, 20))
{
    SetSize(280, 110);
        
    wxBoxSizer *boxSizer = new wxBoxSizer(wxHORIZONTAL);
    this->SetSizer(boxSizer);
    
    wxBoxSizer *image = new wxBoxSizer(wxVERTICAL);
    boxSizer->Add(image, 0, wxALIGN_LEFT|wxEXPAND|wxALL, 20);
    
    wxStaticBitmap *rec = new wxStaticBitmap(this, -1, record_image_xpm, wxDefaultPosition);
    image->Add(rec, wxALIGN_CENTER_HORIZONTAL|wxEXPAND|wxLEFT, 15);
    
    wxBoxSizer *text = new wxBoxSizer(wxVERTICAL);
    boxSizer->Add(text, 0, wxALIGN_CENTER_HORIZONTAL|wxEXPAND|wxLEFT, 40);
    
    wxStaticText *textRecording = new wxStaticText(this, -1, _("Recording..."));
    wxButton *stop = new wxButton(this, ID_STOP_RECORDING, _("&Stop"), 
        wxDefaultPosition, wxDefaultSize, 0);
    
    text->Add(textRecording, 0, wxALIGN_CENTER_HORIZONTAL|wxEXPAND|wxTOP, 20);
    text->Add(stop, 0, wxALIGN_CENTER_HORIZONTAL|wxEXPAND|wxTOP, 20);
    
}

Recording::~Recording()
{
    
}

void Recording::OnStopRecording(wxCommandEvent& WXUNUSED( event ))
{
    Close();
}
